Bug 1265714 - Tempest has a wrong stack_owner_role value when deploying with osp-d
Tempest has a wrong stack_owner_role value when deploying with osp-d
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-rdomanager-oscplugin (Show other bugs)
7.0 (Kilo)
All Linux
high Severity high
: y2
: 7.0 (Kilo)
Assigned To: Imre Farkas
Daniel Mellado
: Automation, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 10:09 EDT by Daniel Mellado
Modified: 2016-09-20 01:03 EDT (History)
11 users (show)

See Also:
Fixed In Version: python-rdomanager-oscplugin-0.0.10-10.el7ost
Doc Type: Bug Fix
Doc Text:
Previously, the 'tempest-deployer-input.conf' file contained incorrect stack_owner_role. So using the 'tempest-deployer-input.conf' file for post-install validation caused more Tempest test failures. With this update, the value in the 'tempest-deployer-input.conf' file generated during deployment is changed. As a result, less number of Tempest tests will fail during post-install validation.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-21 11:49:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 226826 None None None Never

  None (edit)
Description Daniel Mellado 2015-09-23 10:09:03 EDT
Description of problem:

Over an OpenStack 7.0 installed by OSP-D, the heat tempest tests with unauthorized error due to the wrong value being parsed at the creation of tempest.conf file

Version-Release number of selected component (if applicable):
Director

How reproducible:
Create the tempest.conf file using --deployer-input provided from deployment. It'd contain a wrong value of stack_owner_role = heat_stack_user when it should be stack_owner_role = heat_stack_owner.

This is created by:
https://github.com/rdo-management/python-rdomanager-oscplugin/blob/master/rdomanager_oscplugin/v1/overcloud_deploy.py#L656


Steps to Reproduce:
1. Run orchestration tempest tests with provided tempest.conf

Actual results:

The test fails with the following error:

Traceback (most recent call last):
  File "/home/stack/tempest/tempest/api/orchestration/stacks/test_environment.py", line 36, in test_environment_parameter
    environment=environment)
  File "/home/stack/tempest/tempest/api/orchestration/base.py", line 75, in create_stack
    files=files)
  File "/home/stack/tempest/tempest/services/orchestration/json/orchestration_client.py", line 56, in create_stack
    resp, body = self.post(uri, headers=headers, body=body)
  File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 252, in post
    return self.request('POST', url, extra_headers, headers, body)
  File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 629, in request
    resp, resp_body)
  File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 672, in _error_checker
    raise exceptions.Forbidden(resp_body)
Forbidden: Forbidden


Expected results:

The test should pass, they do with this line in tempest.conf:

[orchestration]
stack_owner_role = heat_stack_owner


Additional info:
Comment 2 Filip Hubík 2015-09-23 10:21:59 EDT
Proposed fix attached.
Comment 11 errata-xmlrpc 2015-12-21 11:49:20 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2650

Note You need to log in before you can comment on or make changes to this bug.